#!/bin/sh
#------------------------------------------------------------------------------
# /tmp/install.sh - installation file for aspell services on EIS/FAIR
#
# Copyright (c) 2017-2017 The Eisfair Team, team(at)eisfair(dot)org
#
# Creation:     2017-12-23  jed
# Last Update:  $Id: install.sh 48154 2017-12-27 16:06:47Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version..
#------------------------------------------------------------------------------

# read eislib
. /var/install/include/eislib

# set packages name
module_name=aspell

#exec 2>/tmp/${module_name}-install-trace-$$.log
#set -x

mecho --info "running install.sh ..."

#------------------------------------------------------------------------------
# generate symlinks
#------------------------------------------------------------------------------
lib_names="libaspell.so.15.2.0 libpspell.so.15.2.0"

cd /usr/lib/

for LNAME in ${lib_names}
do
    lib_name=`echo "${LNAME}" | sed 's#\.so.*$##'`
    lib_major=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f1`
    lib_minor=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f2`
    lib_patch=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f3`

    LinkDES="${LNAME}"
    LinkSRC="${lib_name}.so.${lib_major}"

    rm -f ${LinkSRC}
    ln -sf ${LinkDES} ${LinkSRC}
    echo "b 0644 root root ${module_name} usr/lib/${LinkSRC}" >>/etc/filelist.d/${module_name}-files.txt
done

lang_pack=aspell_lang_de
if [ -n "`/usr/bin/eisman query ${lang_pack}`" ]
then
    # language pack is known
    if [ "`/usr/bin/eisman check ${lang_pack}`" = 'not-installed' ]
    then
        # language pack hasn't been installed yet
        if [ `/usr/bin/aspell dicts | wc -l` -eq 0 ]
        then
            # no other language pack has yet been installed
            mecho --warn "No language pack found, you should install at least one, e.g. '${lang_pack}' ..."
        fi
    fi
fi

#/var/install/config.d/aspell.sh &

#------------------------------------------------------------------------------
# end
#------------------------------------------------------------------------------
exit 0

